dhelp_parse(8)

NAME
dhelp_parse - Debian online help parser

SYNOPSIS
dhelp_parse [ -r | -i | -a doc-base_file | -d doc-base_file ]

DESCRIPTION
This program is used by package developers to register the documents included in a package. In most cases it is called by install-docs (see doc-base package), which in turn is called from the postinst and prerm scripts of a Debian package. An index of the registered documents is written in the directory /usr/share/doc/HTML

OPTIONS

-h,--help
    Displays the help page.

-a  Adds the documentation found in the given doc-base files to the dhelp database.

-d  Deletes the documentation found in the given doc-base files from the dhelp database.

-i  Does an incremental update of the documents index for all documentation added with the -a switch after the last index update.

-r  Ignored, kept for compatibility.

PACKAGE DEVELOPERS
You should usually rely on install-docs to do the work for you, but if for some reason you want to use dhelp_parse directly (not recommended!), you have to call it like this:

  postinst
if [ -x /usr/sbin/dhelp_parse ]; then
  dhelp_parse -a /var/lib/doc-base/documents/foo
fi

  prerm
if [ -x /usr/sbin/dhelp_parse ]; then
  dhelp_parse -d /var/lib/doc-base/documents/foo
fi Note that /var/lib/doc-base/documents/foo has to be a valid doc-base file (see doc-base documentation).

SEE ALSO
dhelp(1), install-docs(8)

AUTHOR
This package was written by Esteban Manchado Velázquez (zoso@debian.org).